<?php
include '../comunes_php/cors.php';

$id = intval($_REQUEST['id']);
	include '../rdb/conn.php';

try {    
mysqli_query( $conn,"SET AUTOCOMMIT=0");
mysqli_query( $conn,"START TRANSACTION");
$fecha= date("Y-m-d H:i:s");
$sql="select contrato_id from envios_Detalle where envio_id={$id}";
$rs = mysqli_query( $conn,$sql);
 while($row = mysqli_fetch_object($rs)){
                        //Cambiar de estado cada contrato programado
                        
                        $sql  ="INSERT INTO `estados_de_contrato` (`contrato_id`, `fecha`, `usuario_id`, `tipo_estado_id`, `observaciones`, `borrado`) VALUES ";
                        $sql  .="($id, $fecha, 1,2,'Envio eliminado por sistema',0)"; 
					    @mysqli_query( $conn,$sql);
                        //guardo en log el sql realizado para el producto
               		    $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
              		    fwrite($myfile, "\n");
        
                	    fwrite($myfile, $sql);
        		        fwrite($myfile, "\n");  
                	    fclose($myfile);					    

                        $sql  ="UPDATE `contratos_cabecera` set Estado_id=2 where id=$id"; 
					    @mysqli_query( $conn,$sql);
                        //guardo en log el sql realizado para el producto
               		    $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
              		    fwrite($myfile, "\n");
        
                	    fwrite($myfile, $sql);
        		        fwrite($myfile, "\n");  
                	    fclose($myfile);					    

    }


$sql = "delete from envios_detalle  where envio_id={$id}";
@mysqli_query( $conn,$sql);
               		    $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
              		    fwrite($myfile, "\n");
        
                	    fwrite($myfile, $sql);
        		        fwrite($myfile, "\n");        	    
                	    fclose($myfile);	
                	    
$sql  = "INSERT INTO visitas ( fecha, visitante, accion) VALUES ";
$sql .= " ('$fecha','$visitante','$accion')";
@mysqli_query( $conn,$sql);



$sql = "delete from envios_cabecera where id={$id}";
@mysqli_query( $conn,$sql);
               		    $myfile = fopen("logFile.txt", "a") or die("Unable to open file!");
              		    fwrite($myfile, "\n");
        
                	    fwrite($myfile, $sql);
        		        fwrite($myfile, "\n");        	    
                	    fclose($myfile);	
                	    
$sql  = "INSERT INTO visitas ( fecha, visitante, accion) VALUES ";
$sql .= " ('$fecha','$visitante','$accion')";
@mysqli_query( $conn,$sql);
            
mysqli_query( $conn,"COMMIT");
echo json_encode(array('success'=>true));

} catch(exception $error) {
    
mysqli_query( $conn,"ROLLBACK");

echo 'Ocurrio el siguiente error'. $error->getMessage();    
}
?>